%define oname   mutter

Name:       ruby-%{oname}
Version:    0.5.3
Release:    %mkrel 16
Summary:    The tiny CLI library
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/cloudhead/mutter
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     mutter-0.5.3-rspec2.patch
BuildRequires: rubygems
BuildArch: noarch

%description
the tiny command-line interface library with lots of style

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc LICENSE README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup
%patch0 -p0

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 0.5.3-16.mga9
+ Revision: 1826063
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.5.3-15.mga8
+ Revision: 1499832
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.5.3-14.mga7
+ Revision: 1275157
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.5.3-13.mga6
+ Revision: 935745
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-12.mga5
+ Revision: 747616
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-11.mga5
+ Revision: 688877
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-10.mga4
+ Revision: 562025
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 0.5.3-9.mga4
+ Revision: 561437
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-8.mga4
+ Revision: 535646
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.5.3-7.mga4
+ Revision: 482239
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 0.5.3-6.mga4
+ Revision: 480037
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.5.3-5.mga3
+ Revision: 396189
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.5.3-4.mga3
+ Revision: 381127
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.5.3-3.mga3
+ Revision: 313486
- revert noarch package

* Sat Nov 03 2012 fwang <fwang> 0.5.3-2.mga3
+ Revision: 313394
- rebuild for new ruby

* Sat Feb 12 2011 shikamaru <shikamaru> 0.5.3-1.mga1
+ Revision: 51035
- imported package ruby-mutter


* Sat Feb 12 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.5.3-1mdv2011.0
- Initial package
